import request from '@/utils/request'

//查询列表
export function getList(data){
  return request({
    url:'/house/phxxb/list',
    method:'get',
    params:data
  })

}
// 宅基地盘活信息统计
export function utilizeStatistics(query) {
  return request({
    url: '/house/phxxb/utilizeStatistics',
    method: 'get',
    params: query
  })
}

// 导出宅基地盘活信息
export function exportPhxxb(query) {
  return request({
    url: '/house/phxxb/export',
    method: 'get',
    params: query
  })
}

// 查询宅基地盘活信息详细
export function getPhxxb(id) {
  return request({
    url: '/house/phxxb/get/' + id,
    method: 'get'
  })
}

// 新增宅基地盘活信息
export function addPhxxb(data) {
  return request({
    url: '/house/phxxb/add',
    method: 'post',
    data: data
  })
}

// 修改宅基地盘活信息
export function updatePhxxb(data) {
  return request({
    url: '/house/phxxb/edit',
    method: 'post',
    data: data
  })
}

// 删除宅基地盘活信息
export function delPhxxb(id) {
  return request({
    url: '/house/phxxb/remove/' + id,
    method: 'get'
  })
}

//通过宅基地编码查询宅基地信息
export function queryGeoZjdzd(query) {
  return request({
    url: '/house/lz/queryGeoZjdzd',
    method: 'get',
    params: query
  })
}
